.ui-checkbox[data-v-16a0379e] {
    cursor: pointer;
    display: flex
}

@media (hover:hover) {
    .ui-checkbox:hover .ui-checkbox__view[data-v-16a0379e] {
        opacity: 1
    }
}

.ui-checkbox__icon[data-v-16a0379e] {
    height: .5625em;
    opacity: 0;
    transition: opacity .25s ease;
    width: .625em;
    will-change: opacity
}

.ui-checkbox__msg[data-v-16a0379e] {
    color: #fe5639;
    margin-top: .5em
}

.ui-checkbox__input[data-v-16a0379e] {
    opacity: 0;
    position: absolute
}

.ui-checkbox__input:checked+.ui-checkbox__view[data-v-16a0379e],
.ui-checkbox__input:checked+.ui-checkbox__view>.ui-checkbox__icon[data-v-16a0379e] {
    opacity: 1
}

.ui-checkbox__view[data-v-16a0379e] {
    align-items: center;
    background-color: transparent;
    display: flex;
    flex-shrink: 0;
    height: 1em;
    justify-content: center;
    margin-inline-end: .625em;
    margin-top: .125em;
    opacity: .2;
    position: relative;
    transition: border .25s ease, background-color .25s ease, opacity .25s ease;
    width: 1em
}

.ui-checkbox__view[data-v-16a0379e]:after {
    border: 2px solid transparent;
    content: "";
    height: 1.375em;
    left: -.25em;
    position: absolute;
    top: -.25em;
    transition: border-color .25s ease;
    width: 1.375em
}

.ui-checkbox--disabled[data-v-16a0379e] {
    cursor: none;
    pointer-events: none
}

.ui-checkbox--theme--primary .ui-checkbox__view[data-v-16a0379e] {
    border: 1px solid #222
}

.ui-checkbox--theme--primary .ui-checkbox__input:focus+.ui-checkbox__view[data-v-16a0379e]:after {
    border-color: #2223
}

.ui-checkbox--theme--primary .ui-checkbox__input:checked+.ui-checkbox__view[data-v-16a0379e] {
    background-color: #222
}

.ui-checkbox--theme--primary .ui-checkbox__input:checked+.ui-checkbox__view>.ui-checkbox__icon[data-v-16a0379e] {
    color: #fff;
    opacity: 1
}

.ui-checkbox--theme--primary .ui-checkbox__input:disabled+.ui-checkbox__view[data-v-16a0379e] {
    background-color: transparent;
    border-color: #999;
    opacity: 1
}

.ui-checkbox--theme--primary .ui-checkbox__input:disabled:checked+.ui-checkbox__view[data-v-16a0379e] {
    background-color: #999;
    border-color: #999;
    opacity: 1
}

.ui-checkbox--theme--primary .ui-checkbox__input:disabled:checked+.ui-checkbox__view>.ui-checkbox__icon[data-v-16a0379e] {
    color: #fff;
    opacity: 1
}

.ui-checkbox--theme--secondary .ui-checkbox__view[data-v-16a0379e] {
    border: 1px solid #fff
}

.ui-checkbox--theme--secondary .ui-checkbox__input:focus+.ui-checkbox__view[data-v-16a0379e]:after {
    border-color: #fff3
}

.ui-checkbox--theme--secondary .ui-checkbox__input:checked+.ui-checkbox__view[data-v-16a0379e] {
    background-color: #fff
}

.ui-checkbox--theme--secondary .ui-checkbox__input:checked+.ui-checkbox__view>.ui-checkbox__icon[data-v-16a0379e] {
    color: #222;
    opacity: 1
}

.ui-checkbox--theme--secondary .ui-checkbox__input:disabled+.ui-checkbox__view[data-v-16a0379e] {
    background-color: transparent;
    border-color: #999;
    opacity: 1
}

.ui-checkbox--theme--secondary .ui-checkbox__input:disabled:checked+.ui-checkbox__view[data-v-16a0379e] {
    background-color: #999;
    border-color: #999;
    opacity: 1
}

.ui-checkbox--theme--secondary .ui-checkbox__input:disabled:checked+.ui-checkbox__view>.ui-checkbox__icon[data-v-16a0379e] {
    color: #fff;
    opacity: 1
}

.ui-checkbox--error .ui-checkbox__view[data-v-16a0379e] {
    border-color: #fe5639;
    opacity: 1
}